length {base} | R Documentation

## Length of a Vector or List

### Description

Get or set the length of vectors (including lists).

### Usage

    length(x)
    length(x) <- n

### Arguments

`x` | a vector or list.
`n` | an integer.

### Details

The replacement form can be used to reset the length of a vector. If a vector is shortened, extra values are discarded and when a vector is lengthened, it is padded out to its new length with `NA`s.

### Value

The length of `x` as an `integer` of length 1, if `x` is (or can be coerced to) a vector or list. Otherwise, `length` returns `NA`.

### Examples

    length(diag(4))# = 16 (4 x 4)
    length(options())# 12 or more..
    length(y ~ x1 + x2 + x3)# 3
    length(expression(x, {y <- x^2; y+2}, x^y)) # 3